###########################################################################

# Add case variable

add_case <- function(data, cutoff = 20) {
# TODO: What is the best choice for the cutoff here?

  data$timediff  <- -c(utils::head(data$date.stop, nrow(data) - 1) - data$date.start[-1], 0)
  data$timeindex <- ifelse(data$timediff <= cutoff, 0, 1)
  case_change    <- diff(c(0, c(which(data$timeindex == 1), nrow(data))))
  data$case      <- rep(seq_along(case_change), case_change)

  data$timediff  <- NULL
  data$timeindex <- NULL

  data
}

